View Issue Details

IDProjectCategoryView StatusLast Update
0001556SymmetricDSBugpublic2014-02-05 10:08
ReporterelongAssigned Toelong 
Prioritynormal 
Status resolvedResolutionfixed 
Product Version3.5.0 
Target Version3.5.16Fixed in Version3.5.16 
Summary0001556: Wildcard triggers for tables with same name in different catalog/schema
DescriptionError during trigger creation when using wildcard triggers to capture changes for two tables in different catalog/schemas. If the table name is the same, but the table is in a different catalog or schema, one of the triggers will succeed and the other will fail.
Steps To Reproduce1. Setup table name in two different catalog/schemas
2. Setup wildcard trigger for each catalog/schema
3. Link first trigger to router
4. Link second trigger to router

Expected: both triggers should be created.

Actual: first trigger creates, then second trigger creates, but causes first trigger to drop and fail.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master f30d134c

2014-02-03 10:00:17

erilong

Details Diff
0001556: Wildcard triggers for tables with same name in different catalog/schema. Fixes 0001556.
0001556
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/TriggerRouterService.java Diff File

Issue History

Date Modified Username Field Change
2014-02-03 09:56 elong New Issue
2014-02-03 09:56 elong Status new => assigned
2014-02-03 09:56 elong Assigned To => elong
2014-02-03 10:01 Changeset attached => SymmetricDS trunk r7905
2014-02-03 10:01 guest Resolution open => fixed
2014-02-04 13:15 elong Status assigned => resolved
2014-02-04 13:15 elong Fixed in Version => 3.5.16
2014-02-05 10:08 chenson Status resolved => closed
2015-07-30 21:49 Changeset attached => SymmetricDS master f30d134c
2015-07-30 21:50 admin Status closed => resolved